Skip to main content
GET
/
compute
/
v1
/
environments
curl -X GET "https://api.case.dev/compute/v1/environments" \ -H "Authorization: Bearer $CASEDEV_API_KEY"
{
  "environments": [
    {
      "id": "env_abc123",
      "name": "Document Review Environment",
      "slug": "doc-review",
      "domain": "doc-review.compute.case.dev",
      "isDefault": true,
      "status": "active",
      "createdAt": "2024-01-15T10:30:00Z",
      "updatedAt": "2024-01-20T14:45:00Z"
    },
    {
      "id": "env_def456",
      "name": "Contract Analysis",
      "slug": "contract-analysis",
      "domain": "contract-analysis.compute.case.dev",
      "isDefault": false,
      "status": "active",
      "createdAt": "2024-01-18T09:15:00Z",
      "updatedAt": "2024-01-18T09:15:00Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Response

Successfully retrieved environments

environments
object[]